<template>
  <div class="navigation">
    <a
      v-for="(link, idx) in links"
      :key="idx"
      :href="link.path"
      :class="{active: link.active}"
    >{{ link.name }}</a>
  </div>
</template>

<script>

import { routes } from '../config/config'

export default {
  data: function () {
    return {
      links: []
    }
  },
  watch: {
    $route (to, from) {
      for (let i = 0; i < this.links.length; ++i) {
        this.links[i].active = '#' + to.path === this.links[i].path
      }
    }
  },
  mounted: function () {
    const links = []
    routes.forEach(element => {
      const hashPath = '#' + element.path
      links.push({
        path: hashPath,
        name: element.name,
        active: window.location.hash === hashPath
      })
    })
    this.links = links
  }
}
</script>
